ProgressHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: ProgressHandle

# Interface ProgressHandle

All Superinterfaces:
  `FormComponentHandle`

public interface ProgressHandle extends FormComponentHandle
Handle for the "Progress display" form component. The Swing widget is a `JProgressBar`.

Reach this handle via `ScreenHandle.progress()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProgressHandle`
  `assertDisabled()`
  `ProgressHandle`
  `assertEnabled()`
  `ProgressHandle`
  `assertInvisible()`
  `ProgressHandle`
  `assertVisible()`
  `ProgressHandle`
  `awaitCompletion(Duration timeout)`
  Block the calling thread until `getPercentCompleted()` reaches 100 or the given timeout elapses.
  `String`
  `getDetailMessage()`
  The current bottom detail message, or the empty string if unset.
  `int`
  `getPercentCompleted()`
  The current overall progress as a value from 0 to 100.
  `String`
  `getStatusMessage()`
  The current top status message, or the empty string if unset.
  `boolean`
  `isIndeterminate()`
  Whether the progress bar is currently in indeterminate mode.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### getPercentCompleted

    int getPercentCompleted()
    The current overall progress as a value from 0 to 100.

  - ### getStatusMessage

    @NotNull String getStatusMessage()
    The current top status message, or the empty string if unset.

  - ### getDetailMessage

    @NotNull String getDetailMessage()
    The current bottom detail message, or the empty string if unset.

  - ### isIndeterminate

    boolean isIndeterminate()
    Whether the progress bar is currently in indeterminate mode.

  - ### awaitCompletion

    @NotNull ProgressHandle awaitCompletion(@NotNull Duration timeout)
    Block the calling thread until `getPercentCompleted()` reaches 100 or the given timeout elapses. Throws an `InstallerTestException` on timeout.

  - ### assertEnabled

    @NotNull ProgressHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull ProgressHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull ProgressHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull ProgressHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`